stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Analysis.Pretty

Contents

- Numbers

Description

Pretty printing of Stan's analysis.

Synopsis

- prettyShowAnalysis :: Analysis -> OutputSettings -> Text
- data AnalysisNumbers = AnalysisNumbers {
  - anModules :: !Int
  - anLoc :: !Int
  - anExts :: !Int
  - anSafeExts :: !Int
  - anIns :: !Int
  - anFoundObs :: !Int
  - anIgnoredObs :: !Int
  - anHealth :: !Double
  }
- data ProjectHealth
  - = Unhealthy
  - | LowHealth
  - | MediumHealth
  - | Healthy
- analysisToNumbers :: Analysis -> AnalysisNumbers
- prettyHealth :: Double -> Text
- toProjectHealth :: Double -> ProjectHealth

# Documentation

prettyShowAnalysis :: Analysis -> OutputSettings -> Text #

Shows analysed output of Stan work. This functions groups `Observation`s by `FilePath` they are found in.

# Numbers

data AnalysisNumbers #

Constructors

AnalysisNumbers |
Fields anModules :: !Int anLoc :: !Int anExts :: !Int anSafeExts :: !Int anIns :: !Int anFoundObs :: !Int anIgnoredObs :: !Int anHealth :: !Double

data ProjectHealth #

Enum to describe project health depending on the value of `anHealth`.

Constructors

Unhealthy |
LowHealth |
MediumHealth |
Healthy |

analysisToNumbers :: Analysis -> AnalysisNumbers #

prettyHealth :: Double -> Text #

Show project health as pretty text with 2 digits after dot.

toProjectHealth :: Double -> ProjectHealth #

Calculate `ProjectHealth`.